package com.wgb.system.service.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class Order {
   private Long  id;
   private String  platform;                //平台
   private String  body;                    //商品描述
   private String  orderNo;                 //订单标号
   private String  resultCode;              //返回状态
   private String  tradeType;               //交易类型
   private String  productid;               //商品ID
   private String  userCellphone;           //支付人员手机号
   private String  totalFee;                //支付金额
   private String  mchId;                  //商户号
   private Integer  state;                   //状态   0  待支付   1已支付   2已退款
   private String  bankType;               //付款银行
   private String  couponFee;              //总代金券金额
   private String  couponcount;            //代金券数量
   private LocalDateTime  timeEnd;                //付款时间
   private String  isSubscribe;            //是否关注公众账号
   private LocalDateTime createTime;             //创建时间

}
