package com.wgb.system.service.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PayInfo {

	private Long id;//主键
	private String OrderNumber;//订单编号
	private String PayNumber;//交易流水号
	private LocalDateTime PaymentTime;//支付时间
	private String PaymentType;//支付类型
	private String PhoneNumber;//手机号
	private Integer PaymentAmount;//支付金额
	private Integer PipelineType;//流水类型   1充值  2退款  3转账
	private Integer PayType;//支付状态
	private String backup;//备注
	private LocalDateTime createTime;//创建时间
	private LocalDateTime lastupdateTime;//最后修改时间

}
