package com.wgb.system.service.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_sms")
@KeySequence("SEQ_SYS_SMS")
public class SysSms {

    @TableId(value = "id", type = IdType.INPUT)
    private Long  id;
    private String  userCellphone;
    private String   smsType;               //短信模板
    private String   code;
    private Integer  state;
    private LocalDateTime createTime;


    public SysSms(String userCellphone, String smsType, String code) {
        this.userCellphone = userCellphone;
        this.smsType = smsType;
        this.code = code;
    }
}
