package com.wgb.system.service.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("user")
@KeySequence("SEQ_USER_ID")
public class User {

     @TableId(value = "id", type = IdType.INPUT)
     private Long  id;
     private String  userNo;
     private String  name;
     private String  userCellphone;
     private String  idCard;                    //身份证号
     private String  password;
     private String  portraitImg;                  //头像
     private String  openid;                    //openid
     private Long  provinceId;
     private Long  cityId;
     private Long  areaId;
     private String  address;
     private Integer  master;                   //是否修理工  0 普通用户  1维修师傅   2企业用户
     private Integer  team;                     //团队
     private Integer  teamNumber;               //团队人数
     private String  servicesAreaId;            //服务区域
     private Integer  state;                    //状态  1 启用  0禁用
     private String  remarks;                   //备注
     private String  createTime;
     private String  updateTime;


 public User(String userNo, String name, String userCellphone, Long provinceId, Long cityId, Long areaId, String address, Integer master, Integer team, Integer teamNumber, String servicesAreaId, Integer state, String remarks, String createTime) {
  this.userNo = userNo;
  this.name = name;
  this.userCellphone = userCellphone;
  this.provinceId = provinceId;
  this.cityId = cityId;
  this.areaId = areaId;
  this.address = address;
  this.master = master;
  this.team = team;
  this.teamNumber = teamNumber;
  this.servicesAreaId = servicesAreaId;
  this.state = state;
  this.remarks = remarks;
  this.createTime = createTime;
 }

 public User(String userNo, String name, String userCellphone, String  password, Long provinceId, Long cityId, Long areaId, Integer master, Integer team, Integer teamNumber, String servicesAreaId, String createTime) {
  this.userNo = userNo;
  this.name = name;
  this.userCellphone = userCellphone;
  this.password = password;
  this.provinceId = provinceId;
  this.cityId = cityId;
  this.areaId = areaId;
  this.master = master;
  this.team = team;
  this.teamNumber = teamNumber;
  this.servicesAreaId = servicesAreaId;
  this.createTime = createTime;
 }


}
