package com.wgb.system.service.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserEnterprise {
       private Long  id;
       private Long  userNo;                    //用户编号
       private String  enterpriseName;          //企业名称
       private String  enterpriseAddress;       //企业地址
       private String  userPhone;               //企业负责人手机号
       private String  enterpriseScope;         //企业经营范围
       private String  enterpriseCreateTime;    //企业创建时间
       private Long  province;                  //所在省
       private Long  city;                      //所在市
       private Long  area;                      //所在区
       private String licenseImage;
       private Integer  state;                  //审核状态   0待审核   1审核通过   2审核不通过
       private String remarks;                  //备注
       @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
       @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
       private LocalDateTime createTime;

}
