package com.wgb.system.service.domain.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.NotEmpty;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserReuqest {
    @NotEmpty(message = "请填写名称")
    private String  name;
    @NotEmpty(message = "请填写手机号")
    private String  userCellphone;

    private String password;
    private String  portraitImg;                  //头像
    @NotEmpty(message = "请输入省份")
    private String   provinceCode;
    @NotEmpty(message = "市区不能为空")
    private String    cityCode;
    private String    areaCode;
    private String address;
    @NotEmpty(message = "请选中是否是维修师傅")
    private Integer  master;                    //是否修理工  0 不是  1是
    private Integer  team;                      //团队
    private Integer  teamNumber;               //团队人数
    private String   servicesAreaCodes;              //服务区域
}
