package com.wgb.system.service.exception;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InternalSystemUnHandlerException extends RuntimeException {
    private String errorCode;
    private String errorMsg;

    public InternalSystemUnHandlerException(String errorCode, String errorMsg) {
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }
    public InternalSystemUnHandlerException(String errorCode) {
        this.errorCode = errorCode;
    }

}
