package com.wgb.system.service.constant;

import org.apache.http.client.HttpClient;

/**
 * 常量
 */
public class WXPayConstants {

    public final static String BODY="乌龟邦积分充值";

    public enum SignType
    {
        MD5, HMACSHA256
    }

    public static final String FAIL     = "FAIL";
    public static final String SUCCESS  = "SUCCESS";
    public static final String HMACSHA256 = "HMAC-SHA256";
    public static final String MD5 = "MD5";

    public static final String FIELD_SIGN = "sign";
    public static final String FIELD_SIGN_TYPE = "sign_type";

    public static final String WXPAYSDK_VERSION = "WXPaySDK/3.0.9";

}

