package com.wgb.system.service.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_pay_info")
@KeySequence("SEQ_SYS_PAY_SMS")
public class SysPayInfo {

       @TableId(value = "id", type = IdType.INPUT)
       private Long  id;
       private String  outTradeNo;              //支付订单号
       private String  openId;                  //openid
       private String  timeStart;               //预支付时间
       private Integer  totalFee;               //支付金额
       private Integer state;                   //状态  0 待支付   1 已支付   2 待支付
       private LocalDateTime createTime;


    public SysPayInfo(String outTradeNo, String openId, String timeStart, Integer totalFee) {
        this.outTradeNo = outTradeNo;
        this.openId = openId;
        this.timeStart = timeStart;
        this.totalFee = totalFee;
    }
}
