package com.wgb.system.service.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_user")
@KeySequence("SEQ_USER")
public class SysUser {

   @TableId(value = "id", type = IdType.INPUT)
   private String  id;
   private String  userName;
   private String  nickName;
   private String  password;
   private Integer  state;
   private String  createTime;
   private String  updateTime;

}
