package com.wgb.system.service.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("user_task")
@KeySequence("SEQ_USER_TASK_ID")
public class UserTask {

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;
    private Long businessId;
    private Long userId;
    private LocalDateTime createTime;
    private LocalDateTime updataTime;

    public UserTask(Long businessId, Long userId, LocalDateTime createTime) {
        this.businessId = businessId;
        this.userId = userId;
        this.createTime = createTime;
    }
}
